---
title: Pretty-print a minified file
slug: Tools/Debugger/How_to/Pretty-print_a_minified_file
tags:
  - JavaScript
---
<div>{{ToolsSidebar}}</div>

<p>To prettify a minified file, click the <strong>Pretty print source</strong> icon (<img alt="" src="https://mdn.mozillademos.org/files/16638/pretty_print_icon.png">) at the bottom of the <a href="/en-US/docs/Tools/Debugger/UI_Tour#Source_pane">source pane</a>. The debugger  formats the source and displays it as a new file with a name like: "{ } [original-name]".</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16639/pretty_print_source.png" style="border: 1px solid black; display: block; height: 357px; margin: 0px auto; width: 914px;"></p>

<p>After you click the icon, the source code looks like this:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16640/pretty_print_after.png" style="border: 1px solid black; display: block; height: 315px; margin: 0px auto; width: 914px;"></p>

<p>The <strong>Pretty print source</strong> icon is available only if the source file is minified (i.e., not an original file), and is not already "prettified".</p>

<div class="note">
<p><strong>Note</strong>: if you want to prettify some inline JavaScript code, just double click the code in the inspector pane.</p>
</div>
